package user

import (
	"framework_v2/internal/logic"
	"github.com/gin-gonic/gin"
)

var AuthLogic = logic.NewAuthLogic()

func CurrentUser(c *gin.Context) {
	c.JSON(200, gin.H{
		"IP":   c.ClientIP(),
		"User": AuthLogic.GinUser(c).Valid,
	})
}
